<?php

class DispletRetsIdxQuickSearch{
	public function add_shortcode($attributes){
		// Retrieve options from settings page
		$displetretsidx_option = DispletRetsIdxSettings::get_option();
	
		// Create list of acceptable attributes (array keys) and a $model['key'] from each array key, using the shortcode attribute as the value when specified, else the setting default or other specification in array
		$model = shortcode_atts(array(
			'id' => 1,
			'title' => ''
		), $attributes);

		$model['options'] = $displetretsidx_option;

		$displet_templates = DispletRetsIdxLoad::get_template('displet-quick-search.php', $model);
	
		return $displet_templates;
	}
}

add_shortcode('DispletQuickSearch', array('DispletRetsIdxQuickSearch', 'add_shortcode'));

?>