<script>
	jQuery(document).ready(function($) {
		// Get default query and update sort
		var default_query = '<?php echo $model["query_url"]; ?>';
		var last_sort = displetretsidx_last_viewed_sort;
		if (last_sort != undefined) {
			if (displetretsidx_is_displet_api) {
				var sort_check = /[?&]priceSorter=([^&]+)/i;
			}
			else{
				var sort_check = /[?&]sort=([^&]+)/i;
			}
			var current_sort = default_query.match(sort_check);
		}
		if (last_sort != undefined && current_sort != undefined && last_sort != current_sort[0]){
			sorted_query = default_query.replace(sort_check, last_sort);
			displetretsidxLoadListings(sorted_query);
			console.log(sorted_query, 'Displet Q Cookie');
		}
		else {
			// Only render map, default listings loaded (already rendered server-side)
			$('#displet-map .displet-listings-loading').show();
			var displet_map_listings_array = new Array();
			var current_lat_total = 0;
			var current_long_total = 0;
			<?php foreach ($model['listings'] as $listing) : if (!empty($listing->latitude) && !empty($listing->longitude)) : ?>
				var this_listing = [<?php echo $listing->latitude; ?>, <?php echo $listing->longitude; ?>, '<?php echo addslashes($listing->address); ?>', '<?php echo $listing->permalink; ?>', '<?php echo addslashes($listing->list_price); ?>', '<?php echo $listing->image_urls->primary_big; ?>', '<?php echo addslashes($listing->square_feet); ?>', '<?php echo addslashes($listing->num_bedrooms); ?>', '<?php echo addslashes($listing->bathrooms); ?>', '<?php echo addslashes($listing->listing_agent_name); ?>', '<?php echo addslashes($listing->listing_office_name); ?>', '<?php echo addslashes($listing->subdivision); ?>'];
				displet_map_listings_array.push(this_listing);
				current_lat_total += parseFloat(<?php echo $listing->latitude; ?>);
				current_long_total += parseFloat(<?php echo $listing->longitude; ?>);
			<?php endif; endforeach; ?>
			displetretsidxRenderMap(displet_map_listings_array, current_lat_total, current_long_total);
			$('#displet-map .displet-listings-loading').hide();
			console.log(default_query);
		}
	});
</script>