<?php

class DispletRetsIdxQuickSearchWidgets{
	public function register_widgets(){
		register_widget('DispletRetsIdxQuickSearchWidget1');
		$i = 2;
		while (DispletRetsIdxSearchResults::is_quick_search_form_column_used($i, 1)) {
			register_widget('DispletRetsIdxQuickSearchWidget' . $i);
			$i++;
		}
	}
	public function widget($args, $instance, $form){
		// Widget output
		extract( $args );
        $title = empty($instance['title']) ? '' : apply_filters('widget_title', $instance['title']);

		// Retrieve options from settings page
		$displetretsidx_option = DispletRetsIdxSettings::get_option();
		$model = array(
			'options' => $displetretsidx_option,
			'title' => $title,
			'id' => $form
		);

        $displet_q_search_widget_content = DispletRetsIdxLoad::get_template('displet-quick-search.php', $model);
	    $displet_q_search_widget_output = $before_widget . $displet_q_search_widget_content . $after_widget;
		return $displet_q_search_widget_output;
	}
	public function form($instance){
        $title = isset($instance['title']) ? strip_tags($instance['title']) : 'Search Properties';
        $output =
			'<p>
				<label for="' . $this->get_field_id('title') . '">Title: </label>
				<input class="widefat" id="' . $this->get_field_id('title') . '" name="' . $this->get_field_name('title') . '" type="text" value="' . attribute_escape($title) . '" />
			</p>';
		return $output;
	}
}

class DispletRetsIdxQuickSearchWidget1 extends WP_Widget {
	function DispletRetsIdxQuickSearchWidget1() {
		parent::__construct(false, 'Displet Quick Search', array(
			'description' => 'Use to add a quick search containing the fields from Displet Quick Search Form 1'
		));
	}
	function widget($args, $instance) {
		$output = DispletRetsIdxQuickSearchWidgets::widget($args, $instance, 1);
		echo $output;
	}
	function update($new_instance, $old_instance) {
        return $new_instance;
	}
	function form($instance) {
		$output = DispletRetsIdxQuickSearchWidgets::form($instance);
		echo $output;
	}
}

class DispletRetsIdxQuickSearchWidget2 extends WP_Widget {
	function DispletRetsIdxQuickSearchWidget2() {
		parent::__construct(false, 'Displet Quick Search 2', array(
			'description' => 'Use to add a quick search containing the fields from Displet Quick Search Form 2'
		));
	}
	function widget($args, $instance) {
		$output = DispletRetsIdxQuickSearchWidgets::widget($args, $instance, 2);
		echo $output;
	}
	function update($new_instance, $old_instance) {
        return $new_instance;
	}
	function form($instance) {
		$output = DispletRetsIdxQuickSearchWidgets::form($instance);
		echo $output;
	}
}

class DispletRetsIdxQuickSearchWidget3 extends WP_Widget {
	function DispletRetsIdxQuickSearchWidget3() {
		parent::__construct(false, 'Displet Quick Search 3', array(
			'description' => 'Use to add a quick search containing the fields from Displet Quick Search Form 3'
		));
	}
	function widget($args, $instance) {
		$output = DispletRetsIdxQuickSearchWidgets::widget($args, $instance, 3);
		echo $output;
	}
	function update($new_instance, $old_instance) {
        return $new_instance;
	}
	function form($instance) {
		$output = DispletRetsIdxQuickSearchWidgets::form($instance);
		echo $output;
	}
}

class DispletRetsIdxQuickSearchWidget4 extends WP_Widget {
	function DispletRetsIdxQuickSearchWidget4() {
		parent::__construct(false, 'Displet Quick Search 4', array(
			'description' => 'Use to add a quick search containing the fields from Displet Quick Search Form 4'
		));
	}
	function widget($args, $instance) {
		$output = DispletRetsIdxQuickSearchWidgets::widget($args, $instance, 4);
		echo $output;
	}
	function update($new_instance, $old_instance) {
        return $new_instance;
	}
	function form($instance) {
		$output = DispletRetsIdxQuickSearchWidgets::form($instance);
		echo $output;
	}
}

class DispletRetsIdxQuickSearchWidget5 extends WP_Widget {
	function DispletRetsIdxQuickSearchWidget5() {
		parent::__construct(false, 'Displet Quick Search 5', array(
			'description' => 'Use to add a quick search containing the fields from Displet Quick Search Form 5'
		));
	}
	function widget($args, $instance) {
		$output = DispletRetsIdxQuickSearchWidgets::widget($args, $instance, 5);
		echo $output;
	}
	function update($new_instance, $old_instance) {
        return $new_instance;
	}
	function form($instance) {
		$output = DispletRetsIdxQuickSearchWidgets::form($instance);
		echo $output;
	}
}

add_action('widgets_init', array('DispletRetsIdxQuickSearchWidgets', 'register_widgets'));

?>